/**
 * @Author: Kane
 * @Date: 2025-03-17 17:09:29
 * @LastEditors: Kane
 * @FilePath: /cpicxim-huixiabao/src/main/java/com/cpic/xim/data/config/AppConfig.java
 * @Description:
 * 
 *               Copyright (c) ${2023} by Kane, All Rights Reserved.
 */

package com.cpic.xim.data.config;

public class AppConfig
{
    public static String getDrivernamemysql()
    {
        return driverNameMySQL;
    }

    public static String getUrlproductmysql()
    {
        return urlProductMySQL;
    }

    public static String getUrltestmysql()
    {
        return urlTestMySQL;
    }

    public static String getUsernamemysql()
    {
        return userNameMySQL;
    }

    public static String getPasswordmysql()
    {
        return passwordMySQL;
    }

    public static String getDrivernamegaussdb()
    {
        return driverNameGaussDB;
    }

    public static String getUrlgaussdbproduct()
    {
        return urlGaussDBProduct;
    }

    public static String getUsernamegaussdbproduct()
    {
        return userNameGaussDBProduct;
    }

    public static String getPasswordgaussdbproduct()
    {
        return passwordGaussDBProduct;
    }

    public static String getUrlgaussdbtest()
    {
        return urlGaussDBTest;
    }

    public static String getUsernamegaussdbtest()
    {
        return userNameGaussDBTest;
    }

    public static String getPasswordgaussdbtest()
    {
        return passwordGaussDBTest;
    }

    private final static String driverNameMySQL = "com.mysql.cj.jdbc.Driver";
    private final static String urlProductMySQL = "jdbc:mysql://10.39.0.85:3306/huixiabao?useUnicode=true&characterEncoding=utf8&useSSL=true";
    private final static String urlTestMySQL    = "jdbc:mysql://10.39.0.84:3306/huixiabao?useUnicode=true&characterEncoding=utf8&useSSL=true";
    private final static String userNameMySQL   = "huixiabao";
    private final static String passwordMySQL   = "Kane@1981";

    // 高斯数据库
    private final static String driverNameGaussDB = "org.postgresql.Driver";

    private final static String urlGaussDBProduct      = "jdbc:postgresql://30.191.0.36:25308/qing";
    private final static String userNameGaussDBProduct = "xim_ywglxt_app";
    private final static String passwordGaussDBProduct = "qYldSdbfQ!o5M4M";

    private final static String urlGaussDBTest      = "jdbc:postgresql://10.182.2.208:25308/qing";
    private final static String userNameGaussDBTest = "cx_xiamen";
    private final static String passwordGaussDBTest = "aThK80#!";
}